curl --request PUT \
--url https://api.olie.ai/api/management/goals/{goal} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Novo título",
"description": "Descrição da meta",
"status": "active",
"start_date": "2026-05-27",
"end_date": "2026-06-05",
"periodicity": 1,
"type": "funnel_steps_links_by_user",
"funnel_step_id": 197,
"user_id": "019c75de-50f0-7366-a948-b8cbdd1841be",
"target": 10,
"unit": "count",
"comparison_mode": "target",
"children": [],
"progress_change_percentage": 0,
"percentage": 0,
"results_count": 0,
"is_past_calculable": true,
"created_at": "2026-05-27T15:14:25.000000Z",
"updated_at": "2026-05-27T15:14:25.000000Z",
"deleted_at": null
}
'import requests
url = "https://api.olie.ai/api/management/goals/{goal}"
payload = {
"title": "Novo título",
"description": "Descrição da meta",
"status": "active",
"start_date": "2026-05-27",
"end_date": "2026-06-05",
"periodicity": 1,
"type": "funnel_steps_links_by_user",
"funnel_step_id": 197,
"user_id": "019c75de-50f0-7366-a948-b8cbdd1841be",
"target": 10,
"unit": "count",
"comparison_mode": "target",
"children": [],
"progress_change_percentage": 0,
"percentage": 0,
"results_count": 0,
"is_past_calculable": True,
"created_at": "2026-05-27T15:14:25.000000Z",
"updated_at": "2026-05-27T15:14:25.000000Z",
"deleted_at": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Novo título',
description: 'Descrição da meta',
status: 'active',
start_date: '2026-05-27',
end_date: '2026-06-05',
periodicity: 1,
type: 'funnel_steps_links_by_user',
funnel_step_id: 197,
user_id: '019c75de-50f0-7366-a948-b8cbdd1841be',
target: 10,
unit: 'count',
comparison_mode: 'target',
children: [],
progress_change_percentage: 0,
percentage: 0,
results_count: 0,
is_past_calculable: true,
created_at: '2026-05-27T15:14:25.000000Z',
updated_at: '2026-05-27T15:14:25.000000Z',
deleted_at: null
})
};
fetch('https://api.olie.ai/api/management/goals/{goal}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Atualizar informações de uma meta
Atualiza as informações de uma meta existente, incluindo a sincronização de metas filhas (children). Após a atualização, executa o cálculo persistente do progresso.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
- Meta Manual
- Meta de Projetos Criados
- Meta de Projetos Criados por Usuário
- Meta de Projetos em Etapa
- Meta de Projetos em Etapa por Usuário
- Meta Composta
Payload para edição de uma meta de diferentes tipos.
Título da meta.
191"Nova meta"
Status atual da meta. Valores possíveis: active (Ativa), inactive (Inativa), completed (Concluída).
active, inactive, completed "active"
Tipo da meta.
manual "manual"
Periodicidade da meta.
1
Valor alvo da meta.
10
Unidade utilizada na meta.
"count"
Modo de comparação utilizado para validação da meta.
target "target"
Progresso inicial da meta manual.
1
Data de início da meta.
"2026-05-27"
Data final da meta.
"2026-06-05"
Descrição detalhada da meta.
"Descrição da meta"
Lista de metas filhas.
[]
Response
200
Was this page helpful?